Package ch.qos.logback.core.subst

# Class Node

java.lang.Object
ch.qos.logback.core.subst.Node

public class Node extends Object

## Constructor Summary

Constructors
Constructor
Description
`Node(ch.qos.logback.core.subst.Node.Type type, Object payload)`
`Node(ch.qos.logback.core.subst.Node.Type type, Object payload, Object defaultPart)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dump()`
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`void`
`setNext(Node n)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Node

public Node(ch.qos.logback.core.subst.Node.Type type, Object payload)

### Node

public Node(ch.qos.logback.core.subst.Node.Type type, Object payload, Object defaultPart)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### dump

public void dump()

### setNext

public void setNext(Node n)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`